{

    // Unagi相机事件

    "AbilityName" : "Unagi_CameraEvent",

    "AbilityStacking":"Unique",



    "AbilityMixins" : 

    [

        {

            "$type" : "MoleMole.AttachStateWithModifierMixin",

            "ConfigList":

            [

                //特殊技蓄力阶段

                {

                    "AnimatorStateName": "Attack_Branch_Start_01",

                    "LayerIndex": 0,

                    "MaxFrameCountLow": false,

                    "FrameCountLow": 0,

                    "MaxFrameCountHigh": true,

                    "FrameCountHigh": 0,

                    "IsLoop": false,

                    "ModifierNameList":

                    [

                        "CameraEventModifier_01",

                    ] 

                },

                {

                    "AnimatorStateName": "Attack_Branch_Start_02",

                    "LayerIndex": 0,

                    "MaxFrameCountLow": false,

                    "FrameCountLow": 0,

                    "MaxFrameCountHigh": true,

                    "FrameCountHigh": 0,

                    "IsLoop": false,

                    "ModifierNameList":

                    [

                        "CameraEventModifier_01",

                    ] 

                },

                {

                    "AnimatorStateName": "Attack_Branch_Start_03",

                    "LayerIndex": 0,

                    "MaxFrameCountLow": false,

                    "FrameCountLow": 0,

                    "MaxFrameCountHigh": true,

                    "FrameCountHigh": 0,

                    "IsLoop": false,

                    "ModifierNameList":

                    [

                        "CameraEventModifier_02",

                    ] 

                },

                {

                    "AnimatorStateName": "Attack_Branch_Start_04",

                    "LayerIndex": 0,

                    "MaxFrameCountLow": false,

                    "FrameCountLow": 0,

                    "MaxFrameCountHigh": true,

                    "FrameCountHigh": 0,

                    "IsLoop": false,

                    "ModifierNameList":

                    [

                        "CameraEventModifier_01",

                    ] 

                },

            ]

        }

    ],



    "Modifiers" : 

    {

        "CameraEventModifier_01":

        {

            "ModifierStacking": "Unique",

            "Duration": -1,

            "IgnoreTimeScale" : false,



            "OnAdded" :

            [

                {

                    "$type" : "MoleMole.CameraZoomAction",

                    "ZoomConfigKey" : "Unagi_Attack_Branch_Start_CamZoom_01",

                },

                {

                    "$type" : "MoleMole.CameraStretchAction",

                    "StretchConfigKey" : "Unagi_Attack_Branch_Start_CamStretch_01",

                },

            ],



            "OnRemoved" :

            [

                {

                    "$type" : "MoleMole.CameraZoomEndAction",

                    "EndCameraZoomKey" : "Unagi_Attack_Branch_Start_CamZoom_01",

                },

                {

                    "$type" : "MoleMole.CameraStretchEndAction",

                    "EndCameraStretchKey" : "Unagi_Attack_Branch_Start_CamStretch_01",

                }

            ]

        },



        "CameraEventModifier_02":

        {

            "ModifierStacking": "Unique",

            "Duration": -1,

            "IgnoreTimeScale" : false,



            "OnAdded" :

            [

                {

                    "$type" : "MoleMole.CameraZoomAction",

                    "ZoomConfigKey" : "Unagi_Attack_Branch_Start_CamZoom_02",

                },

                {

                    "$type" : "MoleMole.CameraStretchAction",

                    "StretchConfigKey" : "Unagi_Attack_Branch_Start_CamStretch_02",

                },

            ],



            "OnRemoved" :

            [

                {

                    "$type" : "MoleMole.CameraZoomEndAction",

                    "EndCameraZoomKey" : "Unagi_Attack_Branch_Start_CamZoom_02",

                },

                {

                    "$type" : "MoleMole.CameraStretchEndAction",

                    "EndCameraStretchKey" : "Unagi_Attack_Branch_Start_CamStretch_02",

                }

            ]

        },

    }

}